n = 3

def go (x1, y1, x2, y2, x3, y3):
	for p1 in range (-3, +4):
		for p2 in range (-3, +4):
			for p3 in range (-3, +4):
				print n
				print x1 * 2, y1 * 2, p1
				print x2 * 2, y2 * 2, p2
				print x3 * 2, y3 * 2, p3
				print n
				print x1 * 5, y1 * 5, p1
				print x2 * 5, y2 * 5, p2
				print x3 * 5, y3 * 5, p3

for x1 in range (1, 5):
	for y1 in range (1, 5):
		for x2 in range (1, 5):
			for y2 in range (1, 5):
				if (x1, y1) >= (x2, y2):
					continue
				for x3 in range (1, 5):
					for y3 in range (1, 5):
						if (x2, y2) >= (x3, y3):
							continue
						go (x1, y1, x2, y2, x3, y3)
